Gocator API

- Home
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Modules Pages
Public Member Functions
GoMaterial Class Reference
GoSdk

## Description

Represents configurable material acquisition settings.

Inheritance diagram for GoMaterial:

## Public Member Functions
k64f | GoMaterial_CameraGainAnalog (GoMaterial material)
| Returns the user defined analog camera gain value. More...
k64f | GoMaterial_CameraGainAnalogLimitMax (GoMaterial material)
| Returns the analog camera gain maximum value limit. More...
k64f | GoMaterial_CameraGainAnalogLimitMin (GoMaterial material)
| Returns the analog camera gain minimum value limit. More...
k64f | GoMaterial_CameraGainAnalogSystemValue (GoMaterial material)
| Returns the analog camera gain system value. More...
k64f | GoMaterial_CameraGainDigital (GoMaterial material)
| Returns the user defined digital camera gain value. More...
k64f | GoMaterial_CameraGainDigitalLimitMax (GoMaterial material)
| Returns the digital camera gain maximum value limit. More...
k64f | GoMaterial_CameraGainDigitalLimitMin (GoMaterial material)
| Returns the digital camera gain minimum value limit. More...
k64f | GoMaterial_CameraGainDigitalSystemValue (GoMaterial material)
| Returns the system's digital camera gain value. More...
k64f | GoMaterial_DynamicSensitivity (GoMaterial material)
| Returns the user defined dynamic sensitivity value. More...
k64f | GoMaterial_DynamicSensitivityLimitMax (GoMaterial material)
| Returns the dynamic sensitivity maximum value limit. More...
k64f | GoMaterial_DynamicSensitivityLimitMin (GoMaterial material)
| Returns the dynamic sensitivity minimum value limit. More...
k64f | GoMaterial_DynamicSensitivitySystemValue (GoMaterial material)
| Returns the dynamic sensitivity system value. More...
k32u | GoMaterial_DynamicThreshold (GoMaterial material)
| Returns the user defined dynamic threshold value. More...
k32u | GoMaterial_DynamicThresholdLimitMax (GoMaterial material)
| Returns the dynamic threshold maximum value limit. More...
k32u | GoMaterial_DynamicThresholdLimitMin (GoMaterial material)
| Returns the dynamic threshold minimum value limit. More...
k32u | GoMaterial_DynamicThresholdSystemValue (GoMaterial material)
| Returns the dynamic threshold system value. More...
kStatus | GoMaterial_EnableSensitivityCompensation (GoMaterial material, kBool value)
| Enables or disables senstivity compensation. More...
GoGammaType | GoMaterial_GammaType (GoMaterial material)
| Returns the user defined gamma type. More...
GoGammaType | GoMaterial_GammaTypeSystemValue (GoMaterial material)
| Returns the system's gamma type value. More...
kBool | GoMaterial_IsCameraGainAnalogUsed (GoMaterial material)
| Returns a boolean value representing whether the user defined analog camera gain is used. More...
kBool | GoMaterial_IsCameraGainDigitalUsed (GoMaterial material)
| Returns a boolean value representing whether the user's digital camera gain value is used by the system. More...
kBool | GoMaterial_IsDynamicSensitivityUsed (GoMaterial material)
| Returns a boolean representing whether the user defined dynamic sensitivity value is used. More...
kBool | GoMaterial_IsDynamicThresholdUsed (GoMaterial material)
| Returns a boolean representing whether or not the user defined dynamic threshold is used by the system. More...
kBool | GoMaterial_IsGammaTypeUsed (GoMaterial material)
| Returns a boolean representing whether the user defined gamma type is used by the system. More...
kBool | GoMaterial_IsSensitivityCompensationEnabledUsed (GoMaterial material)
| Returns a boolean representing whether the user defined sensitivity compensation is used by the system. More...
kBool | GoMaterial_IsSpotSelectionTypeUsed (GoMaterial material)
| Returns a boolean relating to whether the user defined spot selection type will be used by the system. More...
kBool | GoMaterial_IsSpotThresholdUsed (GoMaterial material)
| Returns a boolean value representing whether the user specified spot threshold value is used. More...
kBool | GoMaterial_IsSpotWidthMaxUsed (GoMaterial material)
| Returns a boolean relating to whether the user defined spot width max value will be used by the system. More...
kBool | GoMaterial_IsTypeUsed (GoMaterial material)
| Returns a boolean relating to whether the user defined material acquisition type value will be used by the system. More...
kBool | GoMaterial_SensitivityCompensationEnabled (GoMaterial material)
| Returns the user defined sensitivity compensation value. More...
kBool | GoMaterial_SensitivityCompensationEnabledSystemValue (GoMaterial material)
| Returns the system's sensitivity compensation value. More...
kStatus | GoMaterial_SetCameraGainAnalog (GoMaterial material, k64f value)
| Sets the analog camera gain. More...
kStatus | GoMaterial_SetCameraGainDigital (GoMaterial material, k64f value)
| Sets the digital camera gain. More...
kStatus | GoMaterial_SetDynamicSensitivity (GoMaterial material, k64f value)
| Sets the dynamic sensitivity. More...
kStatus | GoMaterial_SetDynamicThreshold (GoMaterial material, k32u value)
| Sets the dynamic threshold. More...
kStatus | GoMaterial_SetGammaType (GoMaterial material, GoGammaType value)
| Sets the gamma type. More...
kStatus | GoMaterial_SetSpotSelectionType (GoMaterial material, GoSpotSelectionType type)
| Sets the spot selection type. More...
kStatus | GoMaterial_SetSpotThreshold (GoMaterial material, k32u value)
| Sets the spot threshold. More...
kStatus | GoMaterial_SetSpotWidthMax (GoMaterial material, k32u value)
| Sets the maximum spot width. More...
kStatus | GoMaterial_SetType (GoMaterial material, GoMaterialType type)
| Sets the material acquisition type. More...
GoSpotSelectionType | GoMaterial_SpotSelectionType (GoMaterial material)
| Returns the user defined spot selection type. More...
GoSpotSelectionType | GoMaterial_SpotSelectionTypeOptionAt (GoMaterial material, kSize index)
| Returns the spot selection type option at the given index. More...
kSize | GoMaterial_SpotSelectionTypeOptionCount (GoMaterial material)
| Returns the number of spot selection type options. More...
GoSpotSelectionType | GoMaterial_SpotSelectionTypeSystemValue (GoMaterial material)
| Returns the system spot selection type. More...
k32u | GoMaterial_SpotThreshold (GoMaterial material)
| Returns the user defined spot threshold. More...
k32u | GoMaterial_SpotThresholdLimitMax (GoMaterial material)
| Returns the maximum spot threshold limit. More...
k32u | GoMaterial_SpotThresholdLimitMin (GoMaterial material)
| Returns the minimum spot threshold limit. More...
k32u | GoMaterial_SpotThresholdSystemValue (GoMaterial material)
| Returns the system spot threshold value. More...
k32u | GoMaterial_SpotWidthMax (GoMaterial material)
| Returns the user defined maximum spot width. More...
k32u | GoMaterial_SpotWidthMaxLimitMax (GoMaterial material)
| Returns the maximum spot width maximum limit. More...
k32u | GoMaterial_SpotWidthMaxLimitMin (GoMaterial material)
| Returns the maximum spot width minimum limit. More...
k32u | GoMaterial_SpotWidthMaxSystemValue (GoMaterial material)
| Returns the maximum spot width system value. More...
GoMaterialType | GoMaterial_Type (GoMaterial material)
| Returns the user defined material acquisition type. More...
GoMaterialType | GoMaterial_TypeSystemValue (GoMaterial material)
| Returns the material acquisition type to be used by the system. More...

The documentation for this class was generated from the following file:

- GoMaterial.h